Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.intercept
Class ThrottlingInterceptor

    java.lang.Object
      org.apache.ode.bpel.intercept.NoOpInterceptor
          org.apache.ode.bpel.intercept.ThrottlingInterceptor

All Implemented Interfaces:
  MessageExchangeInterceptor

    public class ThrottlingInterceptor

extends NoOpInterceptor

An example of a simple interceptor providing a "throttling" capability - that is an ability to limit the number of instances created for a given process.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.intercept.MessageExchangeInterceptor
`MessageExchangeInterceptor.InterceptorContext`

Constructor Summary
`ThrottlingInterceptor()`

Method Summary
`void` | `onNewInstanceInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.

Methods inherited from class org.apache.ode.bpel.intercept.NoOpInterceptor
`onBpelServerInvoked, onPartnerInvoked, onProcessInvoked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrottlingInterceptor

    public ThrottlingInterceptor()

Method Detail

### onNewInstanceInvoked

    public void onNewInstanceInvoked(MyRoleMessageExchange mex,
                                     MessageExchangeInterceptor.InterceptorContext ic)
                              throws FailMessageExchangeException

  Description copied from interface: `MessageExchangeInterceptor`
  Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.

  Specified by:
    `onNewInstanceInvoked` in interface `MessageExchangeInterceptor`
  Overrides:
    `onNewInstanceInvoked` in class `NoOpInterceptor`
  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD